#include <bits/stdc++.h>
using namespace std;
int n,k;
int niz[20005], niz1[20005];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie();
    
    cin>>n>>k;
    for(int i=0;i<n;i++)
        cin>>niz[i];
    for(int i=0;i<n-1;i++)
        niz1[i]=niz[i+1];
    niz1[n-1]=niz[0];
    for(int i=0;i<n;i++)
    {
        if(niz[i]==k)
        {
            cout<<niz1[i];
            break;
        }
    }
    return 0;
}